Upstream information

CVE-2022-39260 at MITRE

Description

Git is an open source, scalable, distributed revision control system. `git shell` is a restricted login shell that can be used to implement Git's push/pull functionality via SSH. In versions prior to 2.30.6, 2.31.5, 2.32.4, 2.33.5, 2.34.5, 2.35.5, 2.36.3, and 2.37.4, the function that splits the command arguments into an array improperly uses an `int` to represent the number of entries in the array, allowing a malicious actor to intentionally overflow the return value, leading to arbitrary heap writes. Because the resulting array is then passed to `execv()`, it is possible to leverage this attack to gain remote code execution on a victim machine. Note that a victim must first allow access to `git shell` as a login shell in order to be vulnerable to this attack. This problem is patched in versions 2.30.6, 2.31.5, 2.32.4, 2.33.5, 2.34.5, 2.35.5, 2.36.3, and 2.37.4 and users are advised to upgrade to the latest version. Disabling `git shell` access via remote logins is a viable short-term workaround.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 6.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1204456 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container bci/golang:1.16-30.77
Container bci/golang:1.17-29.77
Container bci/golang:1.18-18.23
Container bci/golang:1.19-18.22
Container bci/nodejs:12-17.49
Container bci/nodejs:14-35.21
Container bci/nodejs:16-11.21
Container bci/openjdk-devel:11
Container bci/openjdk-devel:11-36.45
Container bci/python:3.10-7.21
Container bci/python:3.9-20.24
Container bci/ruby:2.5-31.18
  • git-core >= 2.35.3-150300.10.18.1
HPE Helion OpenStack 8
  • git >= 2.26.2-27.60.1
Patchnames:
HPE-Helion-OpenStack-8-2022-4271
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • git >= 2.35.3-150300.10.18.1
  • git-arch >= 2.35.3-150300.10.18.1
  • git-core >= 2.35.3-150300.10.18.1
  • git-cvs >= 2.35.3-150300.10.18.1
  • git-daemon >= 2.35.3-150300.10.18.1
  • git-doc >= 2.35.3-150300.10.18.1
  • git-email >= 2.35.3-150300.10.18.1
  • git-gui >= 2.35.3-150300.10.18.1
  • git-svn >= 2.35.3-150300.10.18.1
  • git-web >= 2.35.3-150300.10.18.1
  • gitk >= 2.35.3-150300.10.18.1
  • perl-Git >= 2.35.3-150300.10.18.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2022-3931
SUSE-SLE-Module-Development-Tools-15-SP3-2022-3931
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • git >= 2.35.3-150300.10.18.1
  • git-arch >= 2.35.3-150300.10.18.1
  • git-core >= 2.35.3-150300.10.18.1
  • git-cvs >= 2.35.3-150300.10.18.1
  • git-daemon >= 2.35.3-150300.10.18.1
  • git-doc >= 2.35.3-150300.10.18.1
  • git-email >= 2.35.3-150300.10.18.1
  • git-gui >= 2.35.3-150300.10.18.1
  • git-svn >= 2.35.3-150300.10.18.1
  • git-web >= 2.35.3-150300.10.18.1
  • gitk >= 2.35.3-150300.10.18.1
  • perl-Git >= 2.35.3-150300.10.18.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2022-3931
SUSE-SLE-Module-Development-Tools-15-SP4-2022-3931
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • git-core >= 2.35.3-150300.10.18.1
  • perl-Git >= 2.35.3-150300.10.18.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2022-3931
SUSE Linux Enterprise Module for Basesystem 15 SP4
  • git-core >= 2.35.3-150300.10.18.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2022-3931
SUSE Linux Enterprise Module for Development Tools 15 SP3
  • git >= 2.35.3-150300.10.18.1
  • git-arch >= 2.35.3-150300.10.18.1
  • git-cvs >= 2.35.3-150300.10.18.1
  • git-daemon >= 2.35.3-150300.10.18.1
  • git-doc >= 2.35.3-150300.10.18.1
  • git-email >= 2.35.3-150300.10.18.1
  • git-gui >= 2.35.3-150300.10.18.1
  • git-svn >= 2.35.3-150300.10.18.1
  • git-web >= 2.35.3-150300.10.18.1
  • gitk >= 2.35.3-150300.10.18.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2022-3931
SUSE Linux Enterprise Module for Development Tools 15 SP4
  • git >= 2.35.3-150300.10.18.1
  • git-arch >= 2.35.3-150300.10.18.1
  • git-cvs >= 2.35.3-150300.10.18.1
  • git-daemon >= 2.35.3-150300.10.18.1
  • git-doc >= 2.35.3-150300.10.18.1
  • git-email >= 2.35.3-150300.10.18.1
  • git-gui >= 2.35.3-150300.10.18.1
  • git-svn >= 2.35.3-150300.10.18.1
  • git-web >= 2.35.3-150300.10.18.1
  • gitk >= 2.35.3-150300.10.18.1
  • perl-Git >= 2.35.3-150300.10.18.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP4-2022-3931
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • git >= 2.26.2-27.60.1
  • git-arch >= 2.26.2-27.60.1
  • git-core >= 2.26.2-27.60.1
  • git-cvs >= 2.26.2-27.60.1
  • git-daemon >= 2.26.2-27.60.1
  • git-doc >= 2.26.2-27.60.1
  • git-email >= 2.26.2-27.60.1
  • git-gui >= 2.26.2-27.60.1
  • git-svn >= 2.26.2-27.60.1
  • git-web >= 2.26.2-27.60.1
  • gitk >= 2.26.2-27.60.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-4271
SUSE-SLE-SERVER-12-SP5-2022-4271
SUSE Linux Enterprise Software Development Kit 12 SP5
  • git >= 2.26.2-27.60.1
  • git-arch >= 2.26.2-27.60.1
  • git-core >= 2.26.2-27.60.1
  • git-cvs >= 2.26.2-27.60.1
  • git-daemon >= 2.26.2-27.60.1
  • git-doc >= 2.26.2-27.60.1
  • git-email >= 2.26.2-27.60.1
  • git-gui >= 2.26.2-27.60.1
  • git-svn >= 2.26.2-27.60.1
  • git-web >= 2.26.2-27.60.1
  • gitk >= 2.26.2-27.60.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-4271
SUSE OpenStack Cloud 8
  • git >= 2.26.2-27.60.1
Patchnames:
SUSE-OpenStack-Cloud-8-2022-4271
openSUSE Leap 15.3
  • git >= 2.35.3-150300.10.18.1
  • git-arch >= 2.35.3-150300.10.18.1
  • git-core >= 2.35.3-150300.10.18.1
  • git-credential-gnome-keyring >= 2.35.3-150300.10.18.1
  • git-credential-libsecret >= 2.35.3-150300.10.18.1
  • git-cvs >= 2.35.3-150300.10.18.1
  • git-daemon >= 2.35.3-150300.10.18.1
  • git-doc >= 2.35.3-150300.10.18.1
  • git-email >= 2.35.3-150300.10.18.1
  • git-gui >= 2.35.3-150300.10.18.1
  • git-p4 >= 2.35.3-150300.10.18.1
  • git-svn >= 2.35.3-150300.10.18.1
  • git-web >= 2.35.3-150300.10.18.1
  • gitk >= 2.35.3-150300.10.18.1
  • perl-Git >= 2.35.3-150300.10.18.1
Patchnames:
openSUSE-SLE-15.3-2022-3931
openSUSE Leap 15.4
  • git >= 2.35.3-150300.10.18.1
  • git-arch >= 2.35.3-150300.10.18.1
  • git-core >= 2.35.3-150300.10.18.1
  • git-credential-gnome-keyring >= 2.35.3-150300.10.18.1
  • git-credential-libsecret >= 2.35.3-150300.10.18.1
  • git-cvs >= 2.35.3-150300.10.18.1
  • git-daemon >= 2.35.3-150300.10.18.1
  • git-doc >= 2.35.3-150300.10.18.1
  • git-email >= 2.35.3-150300.10.18.1
  • git-gui >= 2.35.3-150300.10.18.1
  • git-p4 >= 2.35.3-150300.10.18.1
  • git-svn >= 2.35.3-150300.10.18.1
  • git-web >= 2.35.3-150300.10.18.1
  • gitk >= 2.35.3-150300.10.18.1
  • perl-Git >= 2.35.3-150300.10.18.1
Patchnames:
openSUSE-SLE-15.4-2022-3931
openSUSE Tumbleweed
  • git >= 2.38.1-1.1
  • git-arch >= 2.38.1-1.1
  • git-core >= 2.38.1-1.1
  • git-credential-gnome-keyring >= 2.38.1-1.1
  • git-credential-libsecret >= 2.38.1-1.1
  • git-cvs >= 2.38.1-1.1
  • git-daemon >= 2.38.1-1.1
  • git-doc >= 2.38.1-1.1
  • git-email >= 2.38.1-1.1
  • git-gui >= 2.38.1-1.1
  • git-p4 >= 2.38.1-1.1
  • git-svn >= 2.38.1-1.1
  • git-web >= 2.38.1-1.1
  • gitk >= 2.38.1-1.1
  • perl-Git >= 2.38.1-1.1
Patchnames:
openSUSE Tumbleweed GA git-2.38.1-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 git Unsupported
SUSE Enterprise Storage 7 libgit2 Not affected
SUSE Enterprise Storage 7.1 git Released
SUSE Enterprise Storage 7.1 libgit2 Not affected
SUSE Linux Enterprise Desktop 15 SP4 git Released
SUSE Linux Enterprise Desktop 15 SP4 libgit2 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 git Released
SUSE Linux Enterprise High Performance Computing 15 SP4 git Released
SUSE Linux Enterprise High Performance Computing 15 SP4 libgit2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 git Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 git Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 libgit2 Not affected
SUSE Linux Enterprise Real Time 15 SP3 git Released
SUSE Linux Enterprise Real Time 15 SP3 libgit2 Not affected
SUSE Linux Enterprise Server 12 SP5 git Released
SUSE Linux Enterprise Server 12-LTSS git Affected
SUSE Linux Enterprise Server 15 SP4 git Released
SUSE Linux Enterprise Server 15 SP4 libgit2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 git Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 git Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libgit2 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 git Released
SUSE Manager Proxy 4.2 git Released
SUSE Manager Proxy 4.2 libgit2 Not affected
SUSE Manager Proxy 4.3 git Released
SUSE Manager Proxy 4.3 libgit2 Not affected
SUSE Manager Retail Branch Server 4.2 git Released
SUSE Manager Retail Branch Server 4.2 libgit2 Not affected
SUSE Manager Retail Branch Server 4.3 git Released
SUSE Manager Retail Branch Server 4.3 libgit2 Not affected
SUSE Manager Server 4.2 git Released
SUSE Manager Server 4.2 libgit2 Not affected
SUSE Manager Server 4.3 git Released
SUSE Manager Server 4.3 libgit2 Not affected
SUSE Manager Server Module 4.2 libgit2 Not affected
SUSE Manager Server Module 4.3 libgit2 Not affected
openSUSE Leap 15.4 git Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 git Unsupported
SUSE Linux Enterprise High Performance Computing 15 libgit2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 git Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1 libgit2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS git Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS libgit2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS git Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS libgit2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 git Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2 libgit2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS git Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS libgit2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS git Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS libgit2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 git Released
SUSE Linux Enterprise High Performance Computing 15 SP3 libgit2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS git Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS libgit2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS git Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS libgit2 Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS git Unsupported
SUSE Linux Enterprise High Performance Computing 15-ESPOS libgit2 Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS git Unsupported
SUSE Linux Enterprise High Performance Computing 15-LTSS libgit2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 git Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP2 git Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP3 git Released
SUSE Linux Enterprise Module for Development Tools 15 SP1 git Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP1 libgit2 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 git Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP2 libgit2 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 git Released
SUSE Linux Enterprise Module for Development Tools 15 SP3 libgit2 Not affected
SUSE Linux Enterprise Server 12 SP2-BCL git Affected
SUSE Linux Enterprise Server 12 SP4 git Affected
SUSE Linux Enterprise Server 12 SP4-LTSS git Affected
SUSE Linux Enterprise Server 15 SP1 git Unsupported
SUSE Linux Enterprise Server 15 SP1 libgit2 Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS git Unsupported
SUSE Linux Enterprise Server 15 SP1-LTSS libgit2 Not affected
SUSE Linux Enterprise Server 15 SP2 git Unsupported
SUSE Linux Enterprise Server 15 SP2 libgit2 Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS git Unsupported
SUSE Linux Enterprise Server 15 SP2-LTSS libgit2 Not affected
SUSE Linux Enterprise Server 15 SP3 git Released
SUSE Linux Enterprise Server 15 SP3 libgit2 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS git Affected
SUSE Linux Enterprise Server 15 SP3-LTSS libgit2 Not affected
SUSE Linux Enterprise Server 15-ESPOS git Unsupported
SUSE Linux Enterprise Server 15-ESPOS libgit2 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 git Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libgit2 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 git Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 libgit2 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 git Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 libgit2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 git Affected
SUSE Linux Enterprise Server for SAP Applications 15 git Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 libgit2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 git Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libgit2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 git Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libgit2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 git Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libgit2 Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 git Released
SUSE CaaS Platform 3.0 git Affected
SUSE CaaS Platform 4.0 git Unsupported
SUSE CaaS Platform 4.0 libgit2 Not affected
SUSE Enterprise Storage 6 git Unsupported
SUSE Enterprise Storage 6 libgit2 Not affected
SUSE Linux Enterprise Desktop 12 git Affected
SUSE Linux Enterprise Desktop 12 SP1 git Affected
SUSE Linux Enterprise Desktop 12 SP2 git Affected
SUSE Linux Enterprise Desktop 12 SP3 git Affected
SUSE Linux Enterprise Desktop 12 SP4 git Affected
SUSE Linux Enterprise Desktop 15 git Unsupported
SUSE Linux Enterprise Desktop 15 libgit2 Not affected
SUSE Linux Enterprise Desktop 15 SP1 git Unsupported
SUSE Linux Enterprise Desktop 15 SP1 libgit2 Not affected
SUSE Linux Enterprise Desktop 15 SP2 git Unsupported
SUSE Linux Enterprise Desktop 15 SP2 libgit2 Not affected
SUSE Linux Enterprise Desktop 15 SP3 git Released
SUSE Linux Enterprise Desktop 15 SP3 libgit2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 git Unsupported
SUSE Linux Enterprise Module for Development Tools 15 git Unsupported
SUSE Linux Enterprise Module for Development Tools 15 libgit2 Not affected
SUSE Linux Enterprise Real Time 15 SP2 git Unsupported
SUSE Linux Enterprise Real Time 15 SP2 libgit2 Not affected
SUSE Linux Enterprise Server 12 git Affected
SUSE Linux Enterprise Server 12 SP1 git Affected
SUSE Linux Enterprise Server 12 SP1-LTSS git Affected
SUSE Linux Enterprise Server 12 SP2 git Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS git Affected
SUSE Linux Enterprise Server 12 SP2-LTSS git Affected
SUSE Linux Enterprise Server 12 SP3 git Affected
SUSE Linux Enterprise Server 12 SP3-BCL git Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS git Affected
SUSE Linux Enterprise Server 12 SP3-LTSS git Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS git Affected
SUSE Linux Enterprise Server 15 git Unsupported
SUSE Linux Enterprise Server 15 libgit2 Not affected
SUSE Linux Enterprise Server 15 SP1-BCL git Unsupported
SUSE Linux Enterprise Server 15 SP1-BCL libgit2 Not affected
SUSE Linux Enterprise Server 15 SP2-BCL git Unsupported
SUSE Linux Enterprise Server 15 SP2-BCL libgit2 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL git Affected
SUSE Linux Enterprise Server 15 SP3-BCL libgit2 Not affected
SUSE Linux Enterprise Server 15-LTSS git Unsupported
SUSE Linux Enterprise Server 15-LTSS libgit2 Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 git Affected
SUSE Linux Enterprise Server for SAP Applications 12 git Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 git Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 git Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 git Affected
SUSE Linux Enterprise Software Development Kit 12 git Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 git Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 git Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 git Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 git Affected
SUSE Manager Proxy 4.0 git Unsupported
SUSE Manager Proxy 4.0 libgit2 Not affected
SUSE Manager Proxy 4.1 git Unsupported
SUSE Manager Proxy 4.1 libgit2 Not affected
SUSE Manager Retail Branch Server 4.0 git Unsupported
SUSE Manager Retail Branch Server 4.0 libgit2 Not affected
SUSE Manager Retail Branch Server 4.1 git Unsupported
SUSE Manager Retail Branch Server 4.1 libgit2 Not affected
SUSE Manager Server 4.0 git Unsupported
SUSE Manager Server 4.0 libgit2 Not affected
SUSE Manager Server 4.1 git Unsupported
SUSE Manager Server 4.1 libgit2 Not affected
SUSE Manager Server Module 4.0 libgit2 Not affected
SUSE Manager Server Module 4.1 libgit2 Not affected
SUSE OpenStack Cloud 7 git Affected
SUSE OpenStack Cloud 8 git Released
SUSE OpenStack Cloud 9 git Affected
SUSE OpenStack Cloud Crowbar 8 git Affected
SUSE OpenStack Cloud Crowbar 9 git Affected
openSUSE Leap 15.3 git Released


SUSE Timeline for this CVE

CVE page created: Tue Oct 18 20:00:03 2022
CVE page last modified: Fri Jan 20 16:41:01 2023